using System;
using System.Xml.Serialization;
using System.Collections.Generic;

namespace Top.Api.Response
{
    /// <summary>
    /// ProductsSearchResponse.
    /// </summary>
    public class ProductsSearchResponse : TopResponse
    {
        /// <summary>
        /// 返回具体信息为入参fields请求的字段信息
        /// </summary>
        [XmlArray("products")]
        [XmlArrayItem("product")]
        public List<ProductDomain> Products { get; set; }

        /// <summary>
        /// 结果总数
        /// </summary>
        [XmlElement("total_results")]
        public long TotalResults { get; set; }

	/// <summary>
/// ProductDomain Data Structure.
/// </summary>
[Serializable]

public class ProductDomain : TopObject
{
	        /// <summary>
	        /// 商品类目ID.必须是叶子类目ID
	        /// </summary>
	        [XmlElement("cid")]
	        public long Cid { get; set; }
	
	        /// <summary>
	        /// 产品名称
	        /// </summary>
	        [XmlElement("name")]
	        public string Name { get; set; }
	
	        /// <summary>
	        /// 产品的主图片地址.(绝对地址,格式:http://host/image_path)
	        /// </summary>
	        [XmlElement("pic_url")]
	        public string PicUrl { get; set; }
	
	        /// <summary>
	        /// 产品的市场价.单位为元.精确到2位小数;如:200.07
	        /// </summary>
	        [XmlElement("price")]
	        public string Price { get; set; }
	
	        /// <summary>
	        /// 产品ID
	        /// </summary>
	        [XmlElement("product_id")]
	        public long ProductId { get; set; }
	
	        /// <summary>
	        /// 产品的关键属性列表.格式：pid:vid;pid:vid
	        /// </summary>
	        [XmlElement("props")]
	        public string Props { get; set; }
	
	        /// <summary>
	        /// 当前状态(0 商家确认 1 屏蔽 3 小二确认 2 未确认 -1 删除)
	        /// </summary>
	        [XmlElement("status")]
	        public long Status { get; set; }
	
	        /// <summary>
	        /// 淘宝标准产品编码
	        /// </summary>
	        [XmlElement("tsc")]
	        public string Tsc { get; set; }
}

    }
}
